
#define NOCOMM
#include <windows.h>

#include "hugearr.h"

/* Erase a previously-dimensioned huge array. */
/* VBM: Declare Function VBHugeErase% Lib "hugearr.dll" Alias "VBHugeErase" (ByVal hArray%) */
int FAR PASCAL
VBHugeErase(int hArray)
	{
	PHUGEDESC pArray;  /* pointer to array descriptor */

	DecCheckHandle(hArray);

	pArray = (PHUGEDESC) LocalLock(hLocalMem) + hArray;

	CheckNotAllocYet(pArray);

	/* free the memory */
	GlobalFree(pArray -> handle);
	pArray -> handle = NULL;

	LocalUnlock(hLocalMem);
	return HA_OK;
	}
